Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1602856 - samba-client requires samba-libs
Summary: samba-client requires samba-libs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-18 16:16 UTC by Vít Ondruch
Modified: 2018-09-21 05:29 UTC (History)
9 users (show)

Fixed In Version: samba-4.9.0-0.3.rc5.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-21 05:29:19 UTC


Attachments (Terms of Use)

Description Vít Ondruch 2018-07-18 16:16:44 UTC
Description of problem:
it seems that updated samba-client new requires samba-libs. Is that expected? This was never required before ...


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
~~~
$ LANG=C.UTF-8 sudo dnf update samba\* -x samba-libs
Last metadata expiration check: 1:09:18 ago on Wed Jul 18 17:06:20 2018.
Dependencies resolved.

 Problem 1: package samba-client-libs-2:4.9.0-0.0.rc1.fc29.x86_64 requires libMESSAGING-SEND-samba4.so()(64bit), but none of the providers can be installed
  - package samba-client-libs-2:4.9.0-0.0.rc1.fc29.x86_64 requires libMESSAGING-SEND-samba4.so(SAMBA_4.9.0RC1)(64bit), but none of the providers can be installed
  - cannot install the best update candidate for package samba-client-libs-2:4.8.3-1.fc29.x86_64
  - package samba-libs-2:4.9.0-0.0.rc1.fc29.x86_64 is disabled
 Problem 2: package samba-client-2:4.9.0-0.0.rc1.fc29.x86_64 requires samba-client-libs = 2:4.9.0-0.0.rc1.fc29, but none of the providers can be installed
  - package samba-client-libs-2:4.9.0-0.0.rc1.fc29.i686 requires libMESSAGING-SEND-samba4.so, but none of the providers can be installed
  - package samba-client-libs-2:4.9.0-0.0.rc1.fc29.i686 requires libMESSAGING-SEND-samba4.so(SAMBA_4.9.0RC1), but none of the providers can be installed
  - package samba-client-libs-2:4.9.0-0.0.rc1.fc29.x86_64 requires libMESSAGING-SEND-samba4.so()(64bit), but none of the providers can be installed
  - package samba-client-libs-2:4.9.0-0.0.rc1.fc29.x86_64 requires libMESSAGING-SEND-samba4.so(SAMBA_4.9.0RC1)(64bit), but none of the providers can be installed
  - cannot install the best update candidate for package samba-client-2:4.8.3-1.fc29.x86_64
  - package samba-libs-2:4.9.0-0.0.rc1.fc29.i686 is disabled
  - package samba-libs-2:4.9.0-0.0.rc1.fc29.x86_64 is disabled
 Problem 3: package samba-common-libs-2:4.9.0-0.0.rc1.fc29.x86_64 requires samba-client-libs = 2:4.9.0-0.0.rc1.fc29, but none of the providers can be installed
  - package samba-client-libs-2:4.9.0-0.0.rc1.fc29.i686 requires libMESSAGING-SEND-samba4.so, but none of the providers can be installed
  - package samba-client-libs-2:4.9.0-0.0.rc1.fc29.i686 requires libMESSAGING-SEND-samba4.so(SAMBA_4.9.0RC1), but none of the providers can be installed
  - package samba-client-libs-2:4.9.0-0.0.rc1.fc29.x86_64 requires libMESSAGING-SEND-samba4.so()(64bit), but none of the providers can be installed
  - package samba-client-libs-2:4.9.0-0.0.rc1.fc29.x86_64 requires libMESSAGING-SEND-samba4.so(SAMBA_4.9.0RC1)(64bit), but none of the providers can be installed
  - cannot install the best update candidate for package samba-common-libs-2:4.8.3-1.fc29.x86_64
  - package samba-libs-2:4.9.0-0.0.rc1.fc29.i686 is disabled
  - package samba-libs-2:4.9.0-0.0.rc1.fc29.x86_64 is disabled
 Problem 4: package samba-client-libs-2:4.8.3-1.fc29.x86_64 requires samba-common = 2:4.8.3-1.fc29, but none of the providers can be installed
  - problem with installed package samba-client-libs-2:4.8.3-1.fc29.x86_64
  - cannot install both samba-common-2:4.9.0-0.0.rc1.fc29.noarch and samba-common-2:4.8.3-1.fc29.noarch
  - package samba-client-libs-2:4.9.0-0.0.rc1.fc29.x86_64 requires libMESSAGING-SEND-samba4.so()(64bit), but none of the providers can be installed
  - package samba-client-libs-2:4.9.0-0.0.rc1.fc29.x86_64 requires libMESSAGING-SEND-samba4.so(SAMBA_4.9.0RC1)(64bit), but none of the providers can be installed
  - cannot install the best update candidate for package samba-common-2:4.8.3-1.fc29.noarch
  - package samba-libs-2:4.9.0-0.0.rc1.fc29.x86_64 is disabled
===============================================================================
 Package               Arch       Version                    Repository   Size
===============================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 samba-common          noarch     2:4.9.0-0.0.rc1.fc29       rawhide     141 k
Skipping packages with broken dependencies:
 samba-client          x86_64     2:4.9.0-0.0.rc1.fc29       rawhide     558 k
 samba-client-libs     i686       2:4.9.0-0.0.rc1.fc29       rawhide     5.2 M
 samba-client-libs     x86_64     2:4.9.0-0.0.rc1.fc29       rawhide     4.9 M
 samba-common-libs     x86_64     2:4.9.0-0.0.rc1.fc29       rawhide     102 k

Transaction Summary
===============================================================================
Skip  5 Packages

Nothing to do.
Complete!


$ sudo dnf update samba\*
Last metadata expiration check: 1:07:53 ago on Wed Jul 18 17:06:20 2018.
Dependencies resolved.
===============================================================================
 Package               Arch       Version                    Repository   Size
===============================================================================
Upgrading:
 libsmbclient          x86_64     2:4.9.0-0.0.rc1.fc29       rawhide      72 k
 libwbclient           x86_64     2:4.9.0-0.0.rc1.fc29       rawhide      46 k
 samba-client          x86_64     2:4.9.0-0.0.rc1.fc29       rawhide     558 k
 samba-client-libs     x86_64     2:4.9.0-0.0.rc1.fc29       rawhide     4.9 M
 samba-common          noarch     2:4.9.0-0.0.rc1.fc29       rawhide     141 k
 samba-common-libs     x86_64     2:4.9.0-0.0.rc1.fc29       rawhide     102 k
Installing dependencies:
 python2-talloc        x86_64     2.1.14-2.fc29              rawhide      21 k
 samba-libs            x86_64     2:4.9.0-0.0.rc1.fc29       rawhide     217 k

Transaction Summary
===============================================================================
Install  2 Packages
Upgrade  6 Packages

Total download size: 6.0 M
Is this ok [y/N]:
~~~

Expected results:


Additional info:

Comment 1 Jan Kurik 2018-08-14 09:52:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Anoop C S 2018-08-29 08:03:13 UTC
Fixed via https://src.fedoraproject.org/rpms/samba/c/c22327fe59ab7cd0120169b0790855b1185a0f27?branch=master and will be part of next rawhide build.

Comment 3 Fedora Update System 2018-09-07 06:04:34 UTC
samba-4.9.0-0.3.rc5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-298a5769af

Comment 4 Fedora Update System 2018-09-19 09:47:34 UTC
samba-4.9.0-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9d1f05d1fe

Comment 5 Fedora Update System 2018-09-21 05:29:19 UTC
samba-4.9.0-0.3.rc5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.